OGRE: Ogre::RenderQueue::RenderableListener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::RenderQueue::RenderableListener Class Reference

Class to listen in on items being added to the render queue. More...

`#include <OgreRenderQueue.h>`

List of all members.

## Public Member Functions
| RenderableListener ()
virtual | ~RenderableListener ()
virtual bool | renderableQueued (Renderable *rend, uint8 groupID, ushort priority, Technique **ppTech, RenderQueue *pQueue)=0
| Method called when a Renderable is added to the queue.

## Detailed Description

Class to listen in on items being added to the render queue.

Remarks:
  Use RenderQueue::setRenderableListener to get callbacks when an item is added to the render queue.

Definition at line 104 of file OgreRenderQueue.h.

## Constructor & Destructor Documentation

Ogre::RenderQueue::RenderableListener::RenderableListener | ( |  | ) |

Definition at line 107 of file OgreRenderQueue.h.

virtual Ogre::RenderQueue::RenderableListener::~RenderableListener | ( |  | ) | `[virtual]`

Definition at line 108 of file OgreRenderQueue.h.

## Member Function Documentation

virtual bool Ogre::RenderQueue::RenderableListener::renderableQueued | ( | Renderable * | rend,
|  | uint8 | groupID,
|  | ushort | priority,
|  | Technique ** | ppTech,
|  | RenderQueue * | pQueue |
| ) |  |  | `[pure virtual]`

Method called when a Renderable is added to the queue.

Remarks:
  You can use this event hook to alter the Technique used to render a Renderable as the item is added to the queue. This is a low-level way to override the material settings for a given Renderable on the fly.

Parameters:

  | rend | The Renderable being added to the queue
  | groupID | The render queue group this Renderable is being added to
  | priority | The priority the Renderable has been given
  | ppTech | A pointer to the pointer to the Technique that is intended to be used; you can alter this to an alternate Technique if you so wish (the Technique doesn't have to be from the same Material either).
  | pQueue | Pointer to the render queue that this object is being added to. You can for example call this back to duplicate the object with a different technique

Returns:
  true to allow the Renderable to be added to the queue, false if you want to prevent it being added

The documentation for this class was generated from the following file:

- OgreRenderQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59